## xfce4-panel 4.18.4

=== debian/changelog ===
xfce4-panel (4.18.4-1ubuntu0.1) noble; urgency=medium

  * d/p/lp2064846.patch:
    - Fix crash with glibc 2.80 (LP: #2064846)

 -- Sean Davis <sean@bluesabre.org>  Tue, 28 Jan 2025 13:48:07 -0500

xfce4-panel (4.18.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:34:22 +0000

xfce4-panel (4.18.4-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:12:46 +0000

xfce4-panel (4.18.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.4.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Jun 2023 03:17:30 -0400

=== debian/control ===
Source: xfce4-panel
Section: xfce
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: debhelper-compat (= 13),
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libgirepository1.0-dev,
               libcairo2-dev,
               libdbusmenu-gtk3-dev,
               libexo-2-dev,
               libgarcon-1-dev (>= 4.17.0),
               libgarcon-gtk3-1-dev (>= 4.17.0),
               libglib2.0-dev,
               libgtk-3-dev,
               libwnck-3-dev,
               libxfce4ui-2-dev (>= 4.17.1),
               libxfce4util-dev (>= 4.17.2),
               libxfconf-0-dev,
               xfce4-dev-tools
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://docs.xfce.org/xfce/xfce4-panel/start
Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfce4-panel.git
Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfce4-panel

Package: xfce4-panel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: exo-utils, ${misc:Depends}, ${shlibs:Depends}
Description: panel for Xfce4 desktop environment
 This is the panel provided by the Xfce4 desktop project.  If you want a
 multi-functional panel that can even handle plugins and the like, xfce4-panel
 might be worth a try.

Package: libxfce4panel-2.0-4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xfce4 panel library (GTK3 variant)
 This package contains the GTK3 variant of the panel library, used by the
 various plugins for the Xfce panel.

Package: libxfce4panel-2.0-dev
Section: libdevel
Architecture: any
Depends: gir1.2-libxfce4panel-2.0 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk-3-dev,
         libxfce4panel-2.0-4 (= ${binary:Version}),
         libxfce4util-dev,
         ${misc:Depends}
Description: Xfce4 panel library (development files for GTK3 variant)
 This package contains development files for the library (GTK3 variant) used by
 various plugins for the Xfce panel.

Package: gir1.2-libxfce4panel-2.0
Section: introspection
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}
Description: Xfce4 panel library (introspection data)
 This package contains introspection data for the library (GTK3 variant) used by
 various plugins for the Xfce panel.

## xfce4-panel 4.18.6

=== debian/changelog ===
xfce4-panel (4.18.6-1~mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 01 Sep 2024 18:01:43 +0000

xfce4-panel (4.18.6-1) unstable; urgency=medium

  [ Yves-Alexis Perez ]
  * d/watch: track 4.18 branch
  * d/gbp.conf: track 4.18 branches
  * New upstream version 4.18.6
  * d/patches: rebase against new upstream

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 26 Jul 2024 13:33:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xfce4-panel
 Section: xfce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),

## xfce4-panel 4.19.3

=== debian/changelog ===
xfce4-panel (4.19.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.19.3.

 -- Unit 193 <unit193@debian.org>  Mon, 18 Mar 2024 02:50:55 -0400

xfce4-panel (4.19.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.19.2.

 -- Unit 193 <unit193@debian.org>  Thu, 09 Nov 2023 21:05:34 -0500

xfce4-panel (4.19.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.19.1.
    - Drop patch which no longer applies, refresh remaining.
  * d/control: Update Build-Depends for new version.
    + gettext, libgtk-layer-shell-dev, libwayland-dev, libxfce4windowing-0-dev.
    + Add 4.19 version constraint on xfce4-dev-tools.
    - intltool.
  * d/libxfce4panel-2.0-4.symbols: Add new symbol.

 -- Unit 193 <unit193@debian.org>  Wed, 23 Aug 2023 21:43:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: xfce4-panel
 Section: xfce
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               gettext,
                gobject-introspection,
                gtk-doc-tools,
-               intltool,
-               libgirepository1.0-dev,
                libcairo2-dev,
                libdbusmenu-gtk3-dev,
                libexo-2-dev,
                libgarcon-1-dev (>= 4.17.0),
                libgarcon-gtk3-1-dev (>= 4.17.0),
+               libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev,
+               libgtk-layer-shell-dev,
+               libwayland-dev,
                libwnck-3-dev,
                libxfce4ui-2-dev (>= 4.17.1),
                libxfce4util-dev (>= 4.17.2),
+               libxfce4windowing-0-dev,
                libxfconf-0-dev,
-               xfce4-dev-tools
+               xfce4-dev-tools (>= 4.19)
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://docs.xfce.org/xfce/xfce4-panel/start

## xfce4-panel 4.20.0

=== debian/changelog ===
xfce4-panel (4.20.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add alternative introspection build-deps.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 20 Dec 2024 20:20:25 -0800

xfce4-panel (4.20.0-1) unstable; urgency=medium

  * New upstream version 4.20.0
  * Upload to unstable

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 18 Dec 2024 20:54:29 +0100

xfce4-panel (4.19.7-1) experimental; urgency=medium

  * Team upload.

  [ Mateusz Łukasik ]
  * New upstream version 4.19.6
    - Disabled 01_support-non-multiarch-modules.patch for now.
  * d/control:
    + Bump B-D version libxfce4windowing-0-dev to 4.19.6.
  * Update Standards-Version to 4.7.0.

  [ Unit 193 ]
  * New upstream version 4.19.7.
    - Refresh patch.
  * d/control:
    - Refresh introspection packaging.
    - Add B-D on libxext-dev.

 -- Unit 193 <unit193@debian.org>  Mon, 02 Dec 2024 02:04:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,15 @@
 Source: xfce4-panel
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
+               gir1.2-gio-2.0-dev | gir1.2-glib-2.0,,
+               gir1.2-gobject-2.0-dev | gir1.2-glib-2.0,
+               gir1.2-gtk-3.0,
+               gir1.2-libxfce4util-1.0,
                gobject-introspection,
                gtk-doc-tools,
                libcairo2-dev,
@@ -18,13 +23,14 @@
                libgtk-layer-shell-dev,
                libwayland-dev,
                libwnck-3-dev,
+               libxext-dev,
                libxfce4ui-2-dev (>= 4.17.1),
                libxfce4util-dev (>= 4.17.2),
-               libxfce4windowing-0-dev,
+               libxfce4windowing-0-dev (>= 4.19.6),
                libxfconf-0-dev,
                xfce4-dev-tools (>= 4.19)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://docs.xfce.org/xfce/xfce4-panel/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfce4-panel.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfce4-panel
@@ -54,7 +60,9 @@
          libgtk-3-dev,
          libxfce4panel-2.0-4 (= ${binary:Version}),
          libxfce4util-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: Xfce4 panel library (development files for GTK3 variant)
  This package contains development files for the library (GTK3 variant) used by
  various plugins for the Xfce panel.

## xfce4-panel 4.20.3

=== debian/changelog ===
xfce4-panel (4.20.3-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Build on non-Linux archs by disabling Wayland:

  [ Yves-Alexis Perez ]
  * New upstream version 4.20.3
  * d/control: update libxfce4windowing b-dep to 4.20.1
  * symbols updated for new release

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 17 Feb 2025 10:42:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: xfce4-panel
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
-               gir1.2-gio-2.0-dev | gir1.2-glib-2.0,,
-               gir1.2-gobject-2.0-dev | gir1.2-glib-2.0,
-               gir1.2-gtk-3.0,
-               gir1.2-libxfce4util-1.0,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gtk-3.0-dev,
+               gir1.2-libxfce4util-1.0-dev,
                gobject-introspection,
                gtk-doc-tools,
                libcairo2-dev,
@@ -20,13 +19,13 @@
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev,
-               libgtk-layer-shell-dev,
-               libwayland-dev,
+               libgtk-layer-shell-dev [linux-any],
+               libwayland-dev [linux-any],
                libwnck-3-dev,
                libxext-dev,
                libxfce4ui-2-dev (>= 4.17.1),
                libxfce4util-dev (>= 4.17.2),
-               libxfce4windowing-0-dev (>= 4.19.6),
+               libxfce4windowing-0-dev (>= 4.20.1),
                libxfconf-0-dev,
                xfce4-dev-tools (>= 4.19)
 Rules-Requires-Root: no
@@ -60,8 +59,8 @@
          libgtk-3-dev,
          libxfce4panel-2.0-4 (= ${binary:Version}),
          libxfce4util-dev,
-         ${gir:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${gir:Depends}
 Provides: ${gir:Provides}
 Description: Xfce4 panel library (development files for GTK3 variant)
  This package contains development files for the library (GTK3 variant) used by

## xfce4-panel 4.20.4

=== debian/changelog ===
xfce4-panel (4.20.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.20.4.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Mon, 24 Mar 2025 02:33:08 -0400

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libxfconf-0-dev,
                xfce4-dev-tools (>= 4.19)
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://docs.xfce.org/xfce/xfce4-panel/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfce4-panel.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfce4-panel

## xfce4-panel 4.20.5

=== meson_options.txt ===
option(
  'gtk-doc',
  type: 'boolean',
  value: false,
  description: 'Build gtk-doc HTML',
)

option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Build gobject-introspection files',
)

option(
  'vala',
  type: 'feature',
  value: 'auto',
  description: 'Build Vala language bindings',
)

option(
  'visibility',
  type: 'boolean',
  value: true,
  description: 'Build with GNU symbol visibility',
)

option(
  'x11',
  type: 'feature',
  value: 'auto',
  description: 'Support for the X11 windowing system',
)

option(
  'wayland',
  type: 'feature',
  value: 'auto',
  description: 'Support for the Wayland windowing system',
)

option(
  'gtk-layer-shell',
  type: 'feature',
  value: 'auto',
  description: 'Gtk Layer Shell support (Wayland only)',
)

option(
  'dbusmenu',
  type: 'feature',
  value: 'auto',
  description: 'DBusMenu support for status notifier items',
)

option(
  'helper-path-prefix',
  type: 'string',
  value: '',
  description: 'Path prefix under which helper executables will be installed (default: $libdir)',
)

=== debian/changelog ===
xfce4-panel (4.20.5-2) unstable; urgency=medium

  * Team upload.
  * d/control: Add libgtk-layer-shell-dev as a depends for libxfce4panel-2.0-dev.
    (Closes: #1118275)

 -- Unit 193 <unit193@debian.org>  Sat, 18 Oct 2025 17:43:13 -0400

xfce4-panel (4.20.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.20.5.
  * d/control, d/rules: Switch to the meson buildsystem.

 -- Unit 193 <unit193@debian.org>  Tue, 14 Oct 2025 02:50:14 -0400

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                libxfce4util-dev (>= 4.17.2),
                libxfce4windowing-0-dev (>= 4.20.1),
                libxfconf-0-dev,
-               xfce4-dev-tools (>= 4.19)
+               meson
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://docs.xfce.org/xfce/xfce4-panel/start
@@ -57,6 +57,7 @@
 Depends: gir1.2-libxfce4panel-2.0 (= ${binary:Version}),
          libglib2.0-dev,
          libgtk-3-dev,
+         libgtk-layer-shell-dev,
          libxfce4panel-2.0-4 (= ${binary:Version}),
          libxfce4util-dev,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=meson --without autoreconf --with gir

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk-doc=true -Dintrospection=true -Dvala=disabled

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS

## xfce4-panel 4.20.6

=== debian/changelog ===
xfce4-panel (4.20.6-1) unstable; urgency=medium

  * New upstream version 4.20.6
  * d/control: drop b-dep on obsolete (lib)gir1.2-*-dev packages

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 30 Dec 2025 11:34:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,6 @@
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
-               gir1.2-gobject-2.0-dev,
-               gir1.2-gio-2.0-dev,
-               gir1.2-gtk-3.0-dev,
-               gir1.2-libxfce4util-1.0-dev,
                gobject-introspection,
                gtk-doc-tools,
                libcairo2-dev,
@@ -16,7 +12,6 @@
                libexo-2-dev,
                libgarcon-1-dev (>= 4.17.0),
                libgarcon-gtk3-1-dev (>= 4.17.0),
-               libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev,
                libgtk-layer-shell-dev [linux-any],
